nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nxcip::CameraMediaEncoder5 Class Referenceabstract
Inheritance diagram for nxcip::CameraMediaEncoder5:

## Public Member Functions
virtual const char * | audioExtradata () const =0
| Returns pointer to audio extra data.
virtual int | audioExtradataSize () const =0
| Returns size of audio extra data in bytes.
Public Member Functions inherited from nxcip::CameraMediaEncoder4
virtual int | setMediaUrl (const char url[nxcip::MAX_TEXT_LEN])=0
Public Member Functions inherited from nxcip::CameraMediaEncoder3
virtual int | getConfiguredLiveStreamReader (LiveStreamConfig *config, StreamReader **reader)=0
| Returns configured stream reader, providing live data stream. Required method! More...
virtual int | getVideoFormat (CompressionType *codec, PixelFormat *pixelFormat) const =0
| Returns video format. Optional method. More...
Public Member Functions inherited from nxcip::CameraMediaEncoder2
virtual StreamReader * | getLiveStreamReader ()=0
| Returns stream reader, providing live data stream. More...
virtual int | getAudioFormat (AudioFormat *audioFormat) const =0
| Returns audio format, if audio is supported.
Public Member Functions inherited from nxcip::CameraMediaEncoder
virtual int | getMediaUrl (char *urlBuf) const =0
| Returns url of media stream as NULL-terminated utf-8 string. More...
virtual int | getResolutionList (ResolutionInfo *infoList, int *infoListCount) const =0
| Returns supported resolution list. More...
virtual int | getMaxBitrate (int *maxBitrate) const =0
| Returns maximum bitrate in Kbps. 0 is interpreted as unlimited bitrate value. More...
virtual int | setResolution (const Resolution &resolution)=0
| Change resolution on specified encoder. More...
virtual int | setFps (const float &fps, float *selectedFps)=0
virtual int | setBitrate (int bitrateKbps, int *selectedBitrateKbps)=0
Public Member Functions inherited from nxpl::PluginInterface
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID)=0
| Cast to type, specified by interfaceID. More...
virtual int | addRef () const =0
| Increment reference counter. More...
virtual int | releaseRef () const =0
| Decrement reference counter. More...

The documentation for this class was generated from the following file:

- src/camera/camera_plugin.h